<?php
namespace Aelia\WC\TaxDisplayByCountry\Integration\Blocks;
if(!defined('ABSPATH')) { exit; } // Exit if accessed directly

use Aelia\WC\TaxDisplayByCountry\WC_Aelia_Tax_Display_By_Country;

/**
 * Base class to implement support for Gutenberg blocks.
 *
 * @since 1.19.0.230206
 */
abstract class WC_Aelia_TDBC_Base_Block_Integration {
	/**
	 * Returns the instance of the logger to be used by the class.
	 *
	 * @return @return Aelia\WC\Logger
	 */
	protected function get_logger() {
		return WC_Aelia_Tax_Display_By_Country::instance()->get_logger();
	}

	/**
	 * Constructor.
	 */
	public function __construct() {
		// Dummy, implemented for consistency with other classes.
	}

	/**
	 * Indicates if a rest request matches a given route.
	 *
	 * @param array $routes
	 * @return boolean
	 */
	protected static function rest_request_matches_route(\WP_Rest_Request $request, array $routes): bool {
		// Extract the URI, which will indicate the request being handled
		return in_array(trailingslashit($request->get_route()), $routes);
	}
}
