<?php if(!defined('ABSPATH')) { exit; } // Exit if accessed directly
/*
Plugin Name: Aelia Tax Display by Country for WooCommerce
Plugin URI: https://aelia.co/shop/tax-display-by-country-for-woocommerce/
Description: Allows to display prices including/excluding tax depending on customer's location.
Author: 20script
Author URI: https://www.20script.ir
Version: 1.20.3.230809
Update URI: https://api.freemius.com
Text Domain: woocommerce-tax-display-by-country
Domain Path: /languages
WC requires at least: 3.0
WC tested up to: 8.0
Requires PHP: 7.1
*/

require_once __DIR__ . '/src/lib/classes/install/aelia-wc-taxdisplaybycountry-requirementscheck.php';

// If requirements are not met, deactivate the plugin
if(Aelia_WC_TaxDisplayByCountry_RequirementsChecks::factory()->check_requirements()) {
	require_once __DIR__ . '/src/plugin-main.php';

	// Register this plugin file for auto-updates, if such capability exists
	if(!empty($GLOBALS['woocommerce-tax-display-by-country']) && method_exists($GLOBALS['woocommerce-tax-display-by-country'], 'set_main_plugin_file')) {
		// Set the path and name of the main plugin file (i.e. this file), for update
		// checks. This is needed because this is the main plugin file, but the updates
		// will be checked from within plugin-main.php
		$GLOBALS['woocommerce-tax-display-by-country']->set_main_plugin_file(__FILE__);

		
		// @since 1.17.0.210511
		$GLOBALS['woocommerce-tax-display-by-country']->init_freemius();
		
	}
}

// Declare compatibility with the HPOS feature
// @since 1.20.0.230705
add_action('before_woocommerce_init', function() {
	if(function_exists('aelia_declare_feature_support')) {
		aelia_declare_feature_support(__FILE__, 'custom_order_tables', true);
	}
});
